<?php

namespace App\Filament\Loggers;

use App\Models\StudentLifeEvents;
use App\Filament\Resources\StudentLifeEventsResource;
use Illuminate\Contracts\Support\Htmlable;
use Noxo\FilamentActivityLog\Loggers\Logger;
use Noxo\FilamentActivityLog\ResourceLogger\Field;
use Noxo\FilamentActivityLog\ResourceLogger\RelationManager;
use Noxo\FilamentActivityLog\ResourceLogger\ResourceLogger;

class StudentLifeEventsLogger extends Logger
{
    public static ?string $model = StudentLifeEvents::class;

    public static function getLabel(): string | Htmlable | null
    {
        return StudentLifeEventsResource::getModelLabel();
    }

    public static function resource(ResourceLogger $logger): ResourceLogger
    {
        return $logger
            ->fields([
                Field::make('event_tittle')->label(__('Event Tittle')),
                Field::make('event_description')->label(__('Event Description')),
                Field::make('event_images')->label(__('Event Images')),
            ])
            ->relationManagers([
                //
            ]);
    }
}
